Read one attribute definition
curl --request GET \
--url https://wisepim.com/api/public/v1/attributes/{attribute_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/attributes/{attribute_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/attributes/{attribute_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"code": "<string>",
"label": "<string>",
"label_localized": {},
"attribute_type": "<string>",
"is_required": true,
"is_unique": true,
"is_filterable": true,
"is_searchable": true,
"is_visible": true,
"group": {
"id": 123,
"name": "<string>"
},
"options": "<unknown>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Read one attribute definition
GET /attributes/ on the WISEPIM Public API: one attribute definition of the bound project. Requires attributes:read.
GET
/
api
/
public
/
v1
/
attributes
/
{attribute_id}
Read one attribute definition
curl --request GET \
--url https://wisepim.com/api/public/v1/attributes/{attribute_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/attributes/{attribute_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/attributes/{attribute_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"code": "<string>",
"label": "<string>",
"label_localized": {},
"attribute_type": "<string>",
"is_required": true,
"is_unique": true,
"is_filterable": true,
"is_searchable": true,
"is_visible": true,
"group": {
"id": 123,
"name": "<string>"
},
"options": "<unknown>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Predefined options for select/multiselect attributes.

